class Array
  # return true if `self` and `elms` have any element in common
  def have?(elms)
    (self & elms).length > 0 ? true : false
  end
  alias_method :has?, :have?
end

class Hash
  # return a query string representation of a hash
  def to_query
    URI::DEFAULT_PARSER.unescape(URI.encode_www_form(self))
  end
end

class String
  # check is a string is numeric
  #
  # usage: 'asdf'.numeric? # => false
  #        '5.1'.numeric?  # => true
  def numeric?
    Float(self) != nil rescue false
  end
end
